GET /api/v3/accrual/setting

Get Accrual settings

GetAccrualSettingsV3 Permissions: AccrualSettings (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

AccrualSettingsResponse
Property Description Type
accrualBillFilter

Default filter to use when selecting most recent bills. Valid value are:

non-void - select any non-void bill approved - select only approved bills apexported - select AP exported bills non-exporthold - select bills not held from AP export

string
accrualMethod

Accrual method to employ. Valid values are:

simple - cost per day from the most recent bill use history - unit cost based on historical bills (if AUC safety net used, use the most recent bill if the unit cost is within the safety net percentage, otherwise use a historical average of the last three years from the same period), or average cost per day if no usage

string
aucSafetyNet Use an average unit cost safety net (apply to most recent bill unit cost) boolean
aucSafetyNetPercentage Average unit cost safety net percentage integer (int32)
Example Response application/json
{  "accrualBillFilter": "string",  "accrualMethod": "string",  "aucSafetyNet": false,  "aucSafetyNetPercentage": 1
}